/*
This file is part of the Gamebuino-Meta library,
Copyright (c) Aadalie 2017

This is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License (LGPL)
as published by the Free Software Foundation, either version 3 of
the License, or (at your option) any later version.

This is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License (LGPL) for more details.

You should have received a copy of the GNU Lesser General Public
License (LGPL) along with the library.
If not, see <http://www.gnu.org/licenses/>.

Authors:
 - Sorunome
*/

#ifndef _GAMEBUINO_META_LANGCODE_H_
#define _GAMEBUINO_META_LANGCODE_H_

namespace Gamebuino_Meta {

// list off of https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
// IMPORTANT!!! APPEND NEW ANTRIES TO THE END!!!
enum class LangCode {
	ab = 0,
	aa,
	af,
	ak,
	sq,
	am,
	ar,
	an,
	hy,
	as,
	av,
	ae,
	ay,
	az,
	bm,
	ba,
	eu,
	be,
	bn,
	bh,
	bi,
	bs,
	br,
	bg,
	my,
	ca,
	ch,
	ce,
	ny,
	zh,
	cv,
	kw,
	co,
	cr,
	hr,
	cs,
	da,
	dv,
	nl,
	dz,
	en,
	eo,
	et,
	ee,
	fo,
	fj,
	fi,
	fr,
	ff,
	gl,
	ka,
	de,
	el,
	gn,
	gu,
	ht,
	ha,
	he,
	hz,
	hi,
	ho,
	hu,
	ia,
	id,
	ie,
	ga,
	ig,
	ik,
	io,
	is,
	it,
	iu,
	ja,
	jv,
	kl,
	kr,
	ks,
	kk,
	km,
	ki,
	rw,
	ky,
	kv,
	kg,
	ko,
	ku,
	kj,
	la,
	lb,
	lg,
	li,
	ln,
	lo,
	lt,
	lu,
	lv,
	gv,
	mk,
	mg,
	ms,
	ml,
	mt,
	mi,
	mr,
	mh,
	mn,
	na,
	nv,
	nd,
	ne,
	ng,
	nb,
	nn,
	no,
	ii,
	nr,
	oc,
	oj,
	cu,
	om,
	os,
	pa,
	pi,
	fa,
	pl,
	ps,
	pt,
	qu,
	rm,
	rn,
	ro,
	ru,
	sa,
	sc,
	sd,
	se,
	sm,
	sg,
	sr,
	gd,
	sn,
	si,
	sk,
	sl,
	so,
	st,
	es,
	su,
	sw,
	ss,
	sv,
	ta,
	te,
	tg,
	th,
	ti,
	bo,
	tk,
	tl,
	tn,
	to,
	tr,
	ts,
	tt,
	tw,
	ty,
	ug,
	uk,
	ur,
	uz,
	ve,
	vi,
	vo,
	wa,
	cy,
	wo,
	fy,
	xh,
	yi,
	yo,
	za,
	zu,
};

}; // namespace Gamebuino_Meta

// generated via python script

const Gamebuino_Meta::LangCode LANG_AB = Gamebuino_Meta::LangCode::ab;
const Gamebuino_Meta::LangCode LANG_AA = Gamebuino_Meta::LangCode::aa;
const Gamebuino_Meta::LangCode LANG_AF = Gamebuino_Meta::LangCode::af;
const Gamebuino_Meta::LangCode LANG_AK = Gamebuino_Meta::LangCode::ak;
const Gamebuino_Meta::LangCode LANG_SQ = Gamebuino_Meta::LangCode::sq;
const Gamebuino_Meta::LangCode LANG_AM = Gamebuino_Meta::LangCode::am;
const Gamebuino_Meta::LangCode LANG_AR = Gamebuino_Meta::LangCode::ar;
const Gamebuino_Meta::LangCode LANG_AN = Gamebuino_Meta::LangCode::an;
const Gamebuino_Meta::LangCode LANG_HY = Gamebuino_Meta::LangCode::hy;
const Gamebuino_Meta::LangCode LANG_AS = Gamebuino_Meta::LangCode::as;
const Gamebuino_Meta::LangCode LANG_AV = Gamebuino_Meta::LangCode::av;
const Gamebuino_Meta::LangCode LANG_AE = Gamebuino_Meta::LangCode::ae;
const Gamebuino_Meta::LangCode LANG_AY = Gamebuino_Meta::LangCode::ay;
const Gamebuino_Meta::LangCode LANG_AZ = Gamebuino_Meta::LangCode::az;
const Gamebuino_Meta::LangCode LANG_BM = Gamebuino_Meta::LangCode::bm;
const Gamebuino_Meta::LangCode LANG_BA = Gamebuino_Meta::LangCode::ba;
const Gamebuino_Meta::LangCode LANG_EU = Gamebuino_Meta::LangCode::eu;
const Gamebuino_Meta::LangCode LANG_BE = Gamebuino_Meta::LangCode::be;
const Gamebuino_Meta::LangCode LANG_BN = Gamebuino_Meta::LangCode::bn;
const Gamebuino_Meta::LangCode LANG_BH = Gamebuino_Meta::LangCode::bh;
const Gamebuino_Meta::LangCode LANG_BI = Gamebuino_Meta::LangCode::bi;
const Gamebuino_Meta::LangCode LANG_BS = Gamebuino_Meta::LangCode::bs;
const Gamebuino_Meta::LangCode LANG_BR = Gamebuino_Meta::LangCode::br;
const Gamebuino_Meta::LangCode LANG_BG = Gamebuino_Meta::LangCode::bg;
const Gamebuino_Meta::LangCode LANG_MY = Gamebuino_Meta::LangCode::my;
const Gamebuino_Meta::LangCode LANG_CA = Gamebuino_Meta::LangCode::ca;
const Gamebuino_Meta::LangCode LANG_CH = Gamebuino_Meta::LangCode::ch;
const Gamebuino_Meta::LangCode LANG_CE = Gamebuino_Meta::LangCode::ce;
const Gamebuino_Meta::LangCode LANG_NY = Gamebuino_Meta::LangCode::ny;
const Gamebuino_Meta::LangCode LANG_ZH = Gamebuino_Meta::LangCode::zh;
const Gamebuino_Meta::LangCode LANG_CV = Gamebuino_Meta::LangCode::cv;
const Gamebuino_Meta::LangCode LANG_KW = Gamebuino_Meta::LangCode::kw;
const Gamebuino_Meta::LangCode LANG_CO = Gamebuino_Meta::LangCode::co;
const Gamebuino_Meta::LangCode LANG_CR = Gamebuino_Meta::LangCode::cr;
const Gamebuino_Meta::LangCode LANG_HR = Gamebuino_Meta::LangCode::hr;
const Gamebuino_Meta::LangCode LANG_CS = Gamebuino_Meta::LangCode::cs;
const Gamebuino_Meta::LangCode LANG_DA = Gamebuino_Meta::LangCode::da;
const Gamebuino_Meta::LangCode LANG_DV = Gamebuino_Meta::LangCode::dv;
const Gamebuino_Meta::LangCode LANG_NL = Gamebuino_Meta::LangCode::nl;
const Gamebuino_Meta::LangCode LANG_DZ = Gamebuino_Meta::LangCode::dz;
const Gamebuino_Meta::LangCode LANG_EN = Gamebuino_Meta::LangCode::en;
const Gamebuino_Meta::LangCode LANG_EO = Gamebuino_Meta::LangCode::eo;
const Gamebuino_Meta::LangCode LANG_ET = Gamebuino_Meta::LangCode::et;
const Gamebuino_Meta::LangCode LANG_EE = Gamebuino_Meta::LangCode::ee;
const Gamebuino_Meta::LangCode LANG_FO = Gamebuino_Meta::LangCode::fo;
const Gamebuino_Meta::LangCode LANG_FJ = Gamebuino_Meta::LangCode::fj;
const Gamebuino_Meta::LangCode LANG_FI = Gamebuino_Meta::LangCode::fi;
const Gamebuino_Meta::LangCode LANG_FR = Gamebuino_Meta::LangCode::fr;
const Gamebuino_Meta::LangCode LANG_FF = Gamebuino_Meta::LangCode::ff;
const Gamebuino_Meta::LangCode LANG_GL = Gamebuino_Meta::LangCode::gl;
const Gamebuino_Meta::LangCode LANG_KA = Gamebuino_Meta::LangCode::ka;
const Gamebuino_Meta::LangCode LANG_DE = Gamebuino_Meta::LangCode::de;
const Gamebuino_Meta::LangCode LANG_EL = Gamebuino_Meta::LangCode::el;
const Gamebuino_Meta::LangCode LANG_GN = Gamebuino_Meta::LangCode::gn;
const Gamebuino_Meta::LangCode LANG_GU = Gamebuino_Meta::LangCode::gu;
const Gamebuino_Meta::LangCode LANG_HT = Gamebuino_Meta::LangCode::ht;
const Gamebuino_Meta::LangCode LANG_HA = Gamebuino_Meta::LangCode::ha;
const Gamebuino_Meta::LangCode LANG_HE = Gamebuino_Meta::LangCode::he;
const Gamebuino_Meta::LangCode LANG_HZ = Gamebuino_Meta::LangCode::hz;
const Gamebuino_Meta::LangCode LANG_HI = Gamebuino_Meta::LangCode::hi;
const Gamebuino_Meta::LangCode LANG_HO = Gamebuino_Meta::LangCode::ho;
const Gamebuino_Meta::LangCode LANG_HU = Gamebuino_Meta::LangCode::hu;
const Gamebuino_Meta::LangCode LANG_IA = Gamebuino_Meta::LangCode::ia;
const Gamebuino_Meta::LangCode LANG_ID = Gamebuino_Meta::LangCode::id;
const Gamebuino_Meta::LangCode LANG_IE = Gamebuino_Meta::LangCode::ie;
const Gamebuino_Meta::LangCode LANG_GA = Gamebuino_Meta::LangCode::ga;
const Gamebuino_Meta::LangCode LANG_IG = Gamebuino_Meta::LangCode::ig;
const Gamebuino_Meta::LangCode LANG_IK = Gamebuino_Meta::LangCode::ik;
const Gamebuino_Meta::LangCode LANG_IO = Gamebuino_Meta::LangCode::io;
const Gamebuino_Meta::LangCode LANG_IS = Gamebuino_Meta::LangCode::is;
const Gamebuino_Meta::LangCode LANG_IT = Gamebuino_Meta::LangCode::it;
const Gamebuino_Meta::LangCode LANG_IU = Gamebuino_Meta::LangCode::iu;
const Gamebuino_Meta::LangCode LANG_JA = Gamebuino_Meta::LangCode::ja;
const Gamebuino_Meta::LangCode LANG_JV = Gamebuino_Meta::LangCode::jv;
const Gamebuino_Meta::LangCode LANG_KL = Gamebuino_Meta::LangCode::kl;
const Gamebuino_Meta::LangCode LANG_KR = Gamebuino_Meta::LangCode::kr;
const Gamebuino_Meta::LangCode LANG_KS = Gamebuino_Meta::LangCode::ks;
const Gamebuino_Meta::LangCode LANG_KK = Gamebuino_Meta::LangCode::kk;
const Gamebuino_Meta::LangCode LANG_KM = Gamebuino_Meta::LangCode::km;
const Gamebuino_Meta::LangCode LANG_KI = Gamebuino_Meta::LangCode::ki;
const Gamebuino_Meta::LangCode LANG_RW = Gamebuino_Meta::LangCode::rw;
const Gamebuino_Meta::LangCode LANG_KY = Gamebuino_Meta::LangCode::ky;
const Gamebuino_Meta::LangCode LANG_KV = Gamebuino_Meta::LangCode::kv;
const Gamebuino_Meta::LangCode LANG_KG = Gamebuino_Meta::LangCode::kg;
const Gamebuino_Meta::LangCode LANG_KO = Gamebuino_Meta::LangCode::ko;
const Gamebuino_Meta::LangCode LANG_KU = Gamebuino_Meta::LangCode::ku;
const Gamebuino_Meta::LangCode LANG_KJ = Gamebuino_Meta::LangCode::kj;
const Gamebuino_Meta::LangCode LANG_LA = Gamebuino_Meta::LangCode::la;
const Gamebuino_Meta::LangCode LANG_LB = Gamebuino_Meta::LangCode::lb;
const Gamebuino_Meta::LangCode LANG_LG = Gamebuino_Meta::LangCode::lg;
const Gamebuino_Meta::LangCode LANG_LI = Gamebuino_Meta::LangCode::li;
const Gamebuino_Meta::LangCode LANG_LN = Gamebuino_Meta::LangCode::ln;
const Gamebuino_Meta::LangCode LANG_LO = Gamebuino_Meta::LangCode::lo;
const Gamebuino_Meta::LangCode LANG_LT = Gamebuino_Meta::LangCode::lt;
const Gamebuino_Meta::LangCode LANG_LU = Gamebuino_Meta::LangCode::lu;
const Gamebuino_Meta::LangCode LANG_LV = Gamebuino_Meta::LangCode::lv;
const Gamebuino_Meta::LangCode LANG_GV = Gamebuino_Meta::LangCode::gv;
const Gamebuino_Meta::LangCode LANG_MK = Gamebuino_Meta::LangCode::mk;
const Gamebuino_Meta::LangCode LANG_MG = Gamebuino_Meta::LangCode::mg;
const Gamebuino_Meta::LangCode LANG_MS = Gamebuino_Meta::LangCode::ms;
const Gamebuino_Meta::LangCode LANG_ML = Gamebuino_Meta::LangCode::ml;
const Gamebuino_Meta::LangCode LANG_MT = Gamebuino_Meta::LangCode::mt;
const Gamebuino_Meta::LangCode LANG_MI = Gamebuino_Meta::LangCode::mi;
const Gamebuino_Meta::LangCode LANG_MR = Gamebuino_Meta::LangCode::mr;
const Gamebuino_Meta::LangCode LANG_MH = Gamebuino_Meta::LangCode::mh;
const Gamebuino_Meta::LangCode LANG_MN = Gamebuino_Meta::LangCode::mn;
const Gamebuino_Meta::LangCode LANG_NA = Gamebuino_Meta::LangCode::na;
const Gamebuino_Meta::LangCode LANG_NV = Gamebuino_Meta::LangCode::nv;
const Gamebuino_Meta::LangCode LANG_ND = Gamebuino_Meta::LangCode::nd;
const Gamebuino_Meta::LangCode LANG_NE = Gamebuino_Meta::LangCode::ne;
const Gamebuino_Meta::LangCode LANG_NG = Gamebuino_Meta::LangCode::ng;
const Gamebuino_Meta::LangCode LANG_NB = Gamebuino_Meta::LangCode::nb;
const Gamebuino_Meta::LangCode LANG_NN = Gamebuino_Meta::LangCode::nn;
const Gamebuino_Meta::LangCode LANG_NO = Gamebuino_Meta::LangCode::no;
const Gamebuino_Meta::LangCode LANG_II = Gamebuino_Meta::LangCode::ii;
const Gamebuino_Meta::LangCode LANG_NR = Gamebuino_Meta::LangCode::nr;
const Gamebuino_Meta::LangCode LANG_OC = Gamebuino_Meta::LangCode::oc;
const Gamebuino_Meta::LangCode LANG_OJ = Gamebuino_Meta::LangCode::oj;
const Gamebuino_Meta::LangCode LANG_CU = Gamebuino_Meta::LangCode::cu;
const Gamebuino_Meta::LangCode LANG_OM = Gamebuino_Meta::LangCode::om;
const Gamebuino_Meta::LangCode LANG_OS = Gamebuino_Meta::LangCode::os;
const Gamebuino_Meta::LangCode LANG_PA = Gamebuino_Meta::LangCode::pa;
const Gamebuino_Meta::LangCode LANG_PI = Gamebuino_Meta::LangCode::pi;
const Gamebuino_Meta::LangCode LANG_FA = Gamebuino_Meta::LangCode::fa;
const Gamebuino_Meta::LangCode LANG_PL = Gamebuino_Meta::LangCode::pl;
const Gamebuino_Meta::LangCode LANG_PS = Gamebuino_Meta::LangCode::ps;
const Gamebuino_Meta::LangCode LANG_PT = Gamebuino_Meta::LangCode::pt;
const Gamebuino_Meta::LangCode LANG_QU = Gamebuino_Meta::LangCode::qu;
const Gamebuino_Meta::LangCode LANG_RM = Gamebuino_Meta::LangCode::rm;
const Gamebuino_Meta::LangCode LANG_RN = Gamebuino_Meta::LangCode::rn;
const Gamebuino_Meta::LangCode LANG_RO = Gamebuino_Meta::LangCode::ro;
const Gamebuino_Meta::LangCode LANG_RU = Gamebuino_Meta::LangCode::ru;
const Gamebuino_Meta::LangCode LANG_SA = Gamebuino_Meta::LangCode::sa;
const Gamebuino_Meta::LangCode LANG_SC = Gamebuino_Meta::LangCode::sc;
const Gamebuino_Meta::LangCode LANG_SD = Gamebuino_Meta::LangCode::sd;
const Gamebuino_Meta::LangCode LANG_SE = Gamebuino_Meta::LangCode::se;
const Gamebuino_Meta::LangCode LANG_SM = Gamebuino_Meta::LangCode::sm;
const Gamebuino_Meta::LangCode LANG_SG = Gamebuino_Meta::LangCode::sg;
const Gamebuino_Meta::LangCode LANG_SR = Gamebuino_Meta::LangCode::sr;
const Gamebuino_Meta::LangCode LANG_GD = Gamebuino_Meta::LangCode::gd;
const Gamebuino_Meta::LangCode LANG_SN = Gamebuino_Meta::LangCode::sn;
const Gamebuino_Meta::LangCode LANG_SI = Gamebuino_Meta::LangCode::si;
const Gamebuino_Meta::LangCode LANG_SK = Gamebuino_Meta::LangCode::sk;
const Gamebuino_Meta::LangCode LANG_SL = Gamebuino_Meta::LangCode::sl;
const Gamebuino_Meta::LangCode LANG_SO = Gamebuino_Meta::LangCode::so;
const Gamebuino_Meta::LangCode LANG_ST = Gamebuino_Meta::LangCode::st;
const Gamebuino_Meta::LangCode LANG_ES = Gamebuino_Meta::LangCode::es;
const Gamebuino_Meta::LangCode LANG_SU = Gamebuino_Meta::LangCode::su;
const Gamebuino_Meta::LangCode LANG_SW = Gamebuino_Meta::LangCode::sw;
const Gamebuino_Meta::LangCode LANG_SS = Gamebuino_Meta::LangCode::ss;
const Gamebuino_Meta::LangCode LANG_SV = Gamebuino_Meta::LangCode::sv;
const Gamebuino_Meta::LangCode LANG_TA = Gamebuino_Meta::LangCode::ta;
const Gamebuino_Meta::LangCode LANG_TE = Gamebuino_Meta::LangCode::te;
const Gamebuino_Meta::LangCode LANG_TG = Gamebuino_Meta::LangCode::tg;
const Gamebuino_Meta::LangCode LANG_TH = Gamebuino_Meta::LangCode::th;
const Gamebuino_Meta::LangCode LANG_TI = Gamebuino_Meta::LangCode::ti;
const Gamebuino_Meta::LangCode LANG_BO = Gamebuino_Meta::LangCode::bo;
const Gamebuino_Meta::LangCode LANG_TK = Gamebuino_Meta::LangCode::tk;
const Gamebuino_Meta::LangCode LANG_TL = Gamebuino_Meta::LangCode::tl;
const Gamebuino_Meta::LangCode LANG_TN = Gamebuino_Meta::LangCode::tn;
const Gamebuino_Meta::LangCode LANG_TO = Gamebuino_Meta::LangCode::to;
const Gamebuino_Meta::LangCode LANG_TR = Gamebuino_Meta::LangCode::tr;
const Gamebuino_Meta::LangCode LANG_TS = Gamebuino_Meta::LangCode::ts;
const Gamebuino_Meta::LangCode LANG_TT = Gamebuino_Meta::LangCode::tt;
const Gamebuino_Meta::LangCode LANG_TW = Gamebuino_Meta::LangCode::tw;
const Gamebuino_Meta::LangCode LANG_TY = Gamebuino_Meta::LangCode::ty;
const Gamebuino_Meta::LangCode LANG_UG = Gamebuino_Meta::LangCode::ug;
const Gamebuino_Meta::LangCode LANG_UK = Gamebuino_Meta::LangCode::uk;
const Gamebuino_Meta::LangCode LANG_UR = Gamebuino_Meta::LangCode::ur;
const Gamebuino_Meta::LangCode LANG_UZ = Gamebuino_Meta::LangCode::uz;
const Gamebuino_Meta::LangCode LANG_VE = Gamebuino_Meta::LangCode::ve;
const Gamebuino_Meta::LangCode LANG_VI = Gamebuino_Meta::LangCode::vi;
const Gamebuino_Meta::LangCode LANG_VO = Gamebuino_Meta::LangCode::vo;
const Gamebuino_Meta::LangCode LANG_WA = Gamebuino_Meta::LangCode::wa;
const Gamebuino_Meta::LangCode LANG_CY = Gamebuino_Meta::LangCode::cy;
const Gamebuino_Meta::LangCode LANG_WO = Gamebuino_Meta::LangCode::wo;
const Gamebuino_Meta::LangCode LANG_FY = Gamebuino_Meta::LangCode::fy;
const Gamebuino_Meta::LangCode LANG_XH = Gamebuino_Meta::LangCode::xh;
const Gamebuino_Meta::LangCode LANG_YI = Gamebuino_Meta::LangCode::yi;
const Gamebuino_Meta::LangCode LANG_YO = Gamebuino_Meta::LangCode::yo;
const Gamebuino_Meta::LangCode LANG_ZA = Gamebuino_Meta::LangCode::za;
const Gamebuino_Meta::LangCode LANG_ZU = Gamebuino_Meta::LangCode::zu;


#endif // _GAMEBUINO_META_LANGCODE_H_
